Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07996 Sound Minor Always Jun 2, 2021, 21:15 Jun 22, 2021, 12:27
Tester Steve Coomber View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver neogeo.cpp
Version 0.232 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit 86d1ef2 Github Pull Request #
Summary 07996: nitd and bootleg, arcade and aes modes: Sound isn't correct when players character (gravedigger) lands on platform or floor after a jump action
Description I was in two minds whether to raise this one as this issue only seems to affect Nightmare in the Dark AFAIK. The sound that the gravedigger makes when landing on a platform or floor following a jump action doesn't sound correct. I have looked at videos on the Nightmare in the Dark on real hardware and it looks like the sound was correct in MAME 0.229 but is now different in MAME 0.230 onwards. I have started looking at other Neo Geo games but haven't detected any similar sound issues. I will report back here if I do.
Steps To Reproduce 1. Load MAME 0.230, 0.231 or 0.232
2. Launch Nightmare in the Dark
3. Insert coin and start game
4. Once you have control of your character keep jumping and listen to sound he makes when he lands on the platform or floor
5. Repeat steps above but load MAME 0.229 instead
6. Observe difference in sound
Additional Information
Github Commit
Flags
Regression Version 0.230
Affected Sets / Systems nitd and bootleg, arcade and aes modes
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.18918
Steve Coomber
Tester
Jun 2, 2021, 21:27
I have just checked and the sound issue is still present with the latest available build on github
User avatar
No.18931
Haze
Senior Tester
Jun 6, 2021, 14:48
edited on: Jun 6, 2021, 14:49
One thing that has been said before is that NITD was tested (by the developers) using NeoRageX rather than real hardware, which is why there is the 'clipping' sound when you first jump (which MAME has emulated for years) because emulators like NRX didn't emulate that limit, so it slipped into the final game.

That is however a different effect to the one you're talking about I believe.
User avatar
No.18949
Steve Coomber
Tester
Jun 8, 2021, 17:05
Hi David. It is a different effect as you believe. The main player character (gravedigger) used to make a double-tap sound when landing on the floor or platform (I expect one tap sound for each foot), but since 0.230, there is now just one tap sound.
User avatar
No.18950
MetalGod
Senior Tester
Jun 8, 2021, 17:32
Some pcb footage video here:
User avatar
No.18951
Steve Coomber
Tester
Jun 8, 2021, 18:00
Thanks MetalGod. At about 4:50 in to the video, you can hear the double tap quite clearly whenever the gravedigger lands on the platform so this should confirm that there is a slight regression with this sound effect since MAME 0.230.
User avatar
No.19016
aaron
Developer
Jun 22, 2021, 07:42
Just checked in a fix here. ADPCM-A samples weren't playing through the end of their last block. Very subtle difference in most cases, but obvious here.
User avatar
No.19017
Steve Coomber
Tester
Jun 22, 2021, 09:24
Brilliant Aaron. When the build is ready, I will check it out!
User avatar
No.19018
Steve Coomber
Tester
Jun 22, 2021, 11:34
Please mark this issue as resolved in 0.233GIT. Thanks